Subject: [Megaco] Stopping events.

From: "Nicolas Emiliani" <[email-masked]>
Date: Thu, 27 Jul 2006 17:30:13 -0300

Hi List!
This is my first e-mail. I'm new to this protocol. I have been reading the
rfc and I dont't seem to find the way to stop the detection of a given
event. I understad that to stop any signal yo either replace them with
another signal int the signal descriptor or u just send de signal descriptor
empty. But what should I do to stop an event?
for example if I asked for notification with this :
Events 3333 = {al/off}
would it be ok to do this to stop it?
Events 3333 = {}

I know it is a pretty stupid example since the off hook is going to come
just one time. but it's just an example :P
well if anybody can pinpoint me it would be great.
Thanks.

Nico.
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Ashish Singh <[email-masked]>
Date: Thu, 27 Jul 2006 14:11:12 -0700

Hi Nico,

As per RFC 3525 and H.248.1 v2, You can send empty Events descriptor to 
stop notification of events. sample message is as follows.

Transaction = 9999 {Context = - { Modify = A4444 { Events }}}

Thanks
Ashish

Nicolas Emiliani wrote:
> Hi List!
> This is my first e-mail. I'm new to this protocol. I have been reading 
> the rfc and I dont't seem to find the way to stop the detection of a 
> given event. I understad that to stop any signal yo either replace 
> them with another signal int the signal descriptor or u just send de 
> signal descriptor empty. But what should I do to stop an event?
> I know it is a pretty stupid example since the off hook is going to 
> come just one time. but it's just an example :P
> ------------------------------------------------------------------------
>

---

From: "B Venkat S.R Swamy" <[email-masked]>
Date: Fri, 28 Jul 2006 20:10:57 +0530

Hi Nicolas

H.248.1 V3(Sep 2005) , section 7.1.9, last paragraph clearly mentions how to disable event recognition and reportiing:

"An empty Events Descriptor disables all event recognition and reporting"

similarly ABNF grammar supports sending empty event descriptor

eventsDescriptor = EventsToken [EQUAL RequestID LBRKT requestedEvent

*(COMMA requestedEvent) RBRKT]

regards

B Venkat S.R Swamy

Senior Technical Leader

Flextronics Software Systems

Phone: +91-124- 4176213

Fax: +91-124-4300247

web: www.flextronicssoftware.com

"Nicolas Emiliani" <[email-masked]>

"Nicolas Emiliani" <[email-masked]>

07/27/2006 05:30 PM

To

[email-masked]

cc

Subject

[Megaco] Stopping events.

Hi List!

This is my first e-mail. I'm new to this protocol. I have been reading the rfc and I dont't seem to find the way to stop the detection of a given event. I understad that to stop any signal yo either replace them with another signal int the signal descriptor or u just send de signal descriptor empty. But what should I do to stop an event?

Events 3333 = {al/off}

Events 3333 = {}

I know it is a pretty stupid example since the off hook is going to come just one time. but it's just an example :P

Thanks.

Nico._______________________________________________

Megaco mailing list

[email-masked]

*********************** FSS-Restricted ***********************

"DISCLAIMER: This message is proprietary to Flextronics Software

Systems Limited (FSS) and is intended solely for the use of the

individual to whom it is addressed. It may contain privileged or

confidential information and should not be circulated or used for

any purpose other than for what it is intended. If you have received

this message in error, please notify the originator immediately.

If you are not the intended recipient, you are notified that you are

strictly prohibited from using, copying, altering, or disclosing

the contents of this message. FSS accepts no responsibility for

loss or damage arising from the use of the information transmitted

by this email including damage from virus."

---

From: "Nicolas Emiliani" <[email-masked]>
Date: Fri, 28 Jul 2006 11:57:23 -0300

thanks for the help everybody!

I was going through V1 only

On 7/28/06, B Venkat S.R Swamy <[email-masked]> wrote:
>
> Hi Nicolas
>
> H.248.1 V3(Sep 2005) , section 7.1.9, last paragraph clearly mentions how
> to disable event recognition and reportiing:
>
>
>     *"Nicolas Emiliani" <[email-masked]>*
>
>             07/27/2006 05:30 PM
>
>
> To
>
> [email-masked]
> cc
>
>
> Subject
>